#include <Keypad.h>

const byte ROWS = 4; //four rows
const byte COLS = 4; //four columns
//define the cymbols on the buttons of the keypads
char hexaKeys[ROWS][COLS] = {
  {'1','2','3','A'},
  {'4','5','6','B'},
  {'7','8','9','C'},
  {'*','0','#','D'}
};
byte rowPins[ROWS] = {11, 10, 9, 8}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {7, 6, 5, 4}; //connect to the column pinouts of the keypad

//initialize an instance of class NewKeypad
Keypad customKeypad = Keypad( makeKeymap(hexaKeys), rowPins, colPins, ROWS, COLS); 
char key;

#include <SoftwareSerial.h>
SoftwareSerial mySerial(2, 3); // RX, TX

const int pinTone = 12;
int tones[] = { 3830, 3400, 3038, 2864, 2550, 2272, 2028, 
               1915, 1700, 1519, 1432, 1275, 1136, 1014 };

void setup()
  {
  Serial.begin(9600);
  Serial.println("Project Wyliodrin");
  mySerial.begin(9600);
  mySerial.println("Start Wylio send");
  }
  
void loop()
  {
  key = customKeypad.getKey();
  
  if (key)
    {  
    Serial.println(key);
    mySerial.print("{note:");
    switch(key)
      {
      case '1': 
        tone(pinTone,tones[0]);mySerial.print("C");mySerial.print(",id_note:");  
        mySerial.print("1");mySerial.println("}");  
        break;
      case '2': 
        tone(pinTone,tones[1]);mySerial.print("D");mySerial.print(",id_note:");  
        mySerial.print("2");mySerial.println("}");  
        break;
      case '3': 
        tone(pinTone,tones[2]);mySerial.print("E");mySerial.print(",id_note:");  
        mySerial.print("3");mySerial.println("}");  
        break;
      case 'A': 
        tone(pinTone,tones[3]);mySerial.print("F");mySerial.print(",id_note:");  
        mySerial.print("4");mySerial.println("}");  
        break;
      case '4': 
        tone(pinTone,tones[4]);mySerial.print("G");mySerial.print(",id_note:");  
        mySerial.print("5");mySerial.println("}");  
        break;
      case '5': 
        tone(pinTone,tones[5]);mySerial.print("A");mySerial.print(",id_note:");  
        mySerial.print("6");mySerial.println("}");  
        break;
      case '6': 
        tone(pinTone,tones[6]);mySerial.print("B");mySerial.print(",id_note:"); 
        mySerial.print("7");mySerial.println("}");  
        break;
      case 'B': 
        noTone(pinTone);mySerial.print("S");mySerial.print(",id_note:");  
        mySerial.print("8");mySerial.println("}");  
        break;
      case '7': 
        tone(pinTone,tones[7]);mySerial.print("c");mySerial.print(",id_note:"); 
        mySerial.print("9");mySerial.println("}");  
        break;
      case '8': 
        tone(pinTone,tones[8]);mySerial.print("d");mySerial.print(",id_note:");
        mySerial.print("10");mySerial.println("}");  
        break;
      case '9': 
        tone(pinTone,tones[9]);mySerial.print("e");mySerial.print(",id_note:");
        mySerial.print("11");mySerial.println("}");  
        break;
      case 'C': 
        tone(pinTone,tones[10]);mySerial.print("f");mySerial.print(",id_note:");  
        mySerial.print("12");mySerial.println("}");  
        break;
      case '*': 
        tone(pinTone,tones[11]);mySerial.print("g");mySerial.print(",id_note:");
        mySerial.print("13");mySerial.println("}");  
        break;
      case '0': 
        tone(pinTone,tones[12]);mySerial.print("a");mySerial.print(",id_note:");
        mySerial.print("14");mySerial.println("}");  
        break;
      case '#': 
        tone(pinTone,tones[13]);mySerial.print("b");mySerial.print(",id_note:");
        mySerial.print("15");mySerial.println("}");  
        break;
      case 'D': 
        noTone(pinTone);mySerial.print("S");mySerial.print(",id_note:");
        mySerial.print("8");mySerial.println("}");  
        break;
      default: 
        noTone(pinTone);mySerial.print("S");mySerial.print(",id_note:");
        mySerial.print("8");mySerial.println("}");  
        break;
      }
    }
  }
